diff deploy/osx/combine.sh @ 315:2b2f0ba33262

More Mac build material
author Chris Cannam
date Tue, 01 Mar 2011 16:50:06 +0000
parents
children aa852b477e4d
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/deploy/osx/combine.sh	Tue Mar 01 16:50:06 2011 +0000
@@ -0,0 +1,30 @@
+#!/bin/bash
+app=EasyMercurial.app
+if [ ! -d "$app.carbon" ] || [ ! -d "$app.cocoa" ]; then
+	echo Carbon or Cocoa bundle not found
+	exit 1
+fi
+(cd "$app.cocoa" ; find . -type f -print) | while read f; do
+        d=$(dirname "$f")
+        mkdir -p "$app.output/$d"
+	case $(file "$app.cocoa/$f") in
+	*x86_64*)
+		lipo "$app.cocoa/$f" -extract x86_64 -output "/tmp/$$.x86_64"
+		case $(file "$app.carbon/$f") in
+		*x86_64*)
+			lipo "$app.carbon/$f" -remove x86_64 -output "/tmp/$$.rest"
+			;;
+		*)
+			cp "$app.carbon/$f" "/tmp/$$.rest"
+			;;
+		esac
+		lipo "/tmp/$$.x86_64" "/tmp/$$.rest" -create -output "$app.output/$f"
+		rm "/tmp/$$".*
+		;;
+	*)
+		cp "$app.cocoa/$f" "$app.output/$f"
+		;;
+	esac
+done
+
+